.select2-container .select2-choice, .select2-container .select2-choices, .select2-container .select2-choices .select2-search-field input {
  background: $custom-select-bg;
  border-color: $custom-select-bg;
  color: $custom-select-color;
  -webkit-box-shadow: $custom-select-box-shadow;
  box-shadow: $custom-select-box-shadow;
}

.select2-search input {
  border-color: $custom-select-border-color;
  color: $custom-select-color;
  background-color: $custom-select-bg;
  -webkit-box-shadow: $custom-select-box-shadow;
  box-shadow: $custom-select-box-shadow;
}

.select2-container.form-control{
  border: $input-border-width solid $input-border-color;
}

.select2-container .select2-choice{
    height: calc(2.25rem) !important;
}

.select2-results .select2-result-label {
    min-height: 1.5rem;
}

.has-warning .select2-choice, .has-warning .select2-choices {
  border-color: lighten($warning, 10%);
}

.has-warning .select2-container-active .select2-choice, .has-warning .select2-container-multi.select2-container-active .select2-choices {
  border-color: $warning;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0, .075), 0 0 6px lighten($warning, 30%);
  box-shadow: inset 0 1px 1px rgba(0,0,0, .075), 0 0 6px lighten($warning, 30%);
}

.has-warning.select2-drop-active {
  border-color: $warning;
}

.has-warning.select2-drop-active.select2-drop.select2-drop-above {
  border-top-color: $warning;
}

.has-error .select2-choice, .has-error .select2-choices {
  border-color: lighten($danger, 10%);
}

.has-error .select2-container-active .select2-choice, .has-error .select2-container-multi.select2-container-active .select2-choices {
  border-color: $danger;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($danger, 30%);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($danger, 30%)
}

.has-error.select2-drop-active {
  border-color: $danger;
}

.has-error.select2-drop-active.select2-drop.select2-drop-above {
  border-top-color: $danger;
}

.has-success .select2-choice, .has-success .select2-choices {
  border-color: lighten($success, 10%);
}

.has-success .select2-container-active .select2-choice, .has-success .select2-container-multi.select2-container-active .select2-choices {
  border-color: $success;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($success, 30%);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px lighten($success, 30%)
}

.has-success.select2-drop-active {
  border-color: $success;
}

.has-success.select2-drop-active.select2-drop.select2-drop-above {
  border-top-color: $success;
}

.select2-container-active .select2-choice, .select2-container-multi.select2-container-active .select2-choices {
  border-color: $primary;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(darken($primary, 30%), .6);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(darken($primary, 30%), .6);
}

.select2-drop-active {
  border-color: $primary
}

.select2-drop-auto-width, .select2-drop.select2-drop-above.select2-drop-active {
  border-top-color: $primary
}

.select2-dropdown-open.select2-drop-above [class^=select2-choice] {
  background: $custom-select-bg;
  border: $input-border-width solid $primary;
}

.select2-drop {
  background-color: $custom-select-bg;
  color: $custom-select-color;
}

.select2-results .select2-highlighted {
  background-color: $custom-control-indicator-active-bg
}

.select2-container-multi .select2-choices .select2-search-choice {
  color: $custom-select-color;
  background: $custom-select-bg;
  border-color: $custom-select-border-color;
}

.select2-container-multi .select2-choices .select2-search-choice-focus {
  background: $custom-select-bg;
  border-color: $custom-select-focus-border-color;
  color: $custom-select-indicator-color;
}

.select2-results .select2-no-results, .select2-results .select2-searching, .select2-results .select2-selection-limit {
  background-color: $custom-select-bg;
  color: $warning
}

.select2-container.select2-container-disabled .select2-choice, .select2-container.select2-container-disabled .select2-choices {
  background-color: $custom-select-disabled-bg;
  border-color: $custom-select-border-color
}
